Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.client
Class ServiceDiscoveryAdapter

    java.lang.Object
      org.jini.rio.resources.client.ServiceDiscoveryAdapter

All Implemented Interfaces:
  ServiceDiscoveryListener

Direct Known Subclasses:
  AssociationMgmt.AssociationHandler, OpStringManagerProxy.OpStringManagerDispatcher

    public class ServiceDiscoveryAdapter

extends Object
implements ServiceDiscoveryListener

The adapter which receives ServiceDiscoveryEvents. The methods in this class are empty; this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

Constructor Summary
`ServiceDiscoveryAdapter()`

Method Summary
`void` | `serviceAdded(ServiceDiscoveryEvent sdEvent)`
`void` | `serviceChanged(ServiceDiscoveryEvent sdEvent)`
`void` | `serviceRemoved(ServiceDiscoveryEvent sdEvent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceDiscoveryAdapter

    public ServiceDiscoveryAdapter()

Method Detail

### serviceAdded

    public void serviceAdded(ServiceDiscoveryEvent sdEvent)

  Specified by:
    `serviceAdded` in interface `ServiceDiscoveryListener`
  See Also:
    `ServiceDiscoveryListener.serviceAdded(net.jini.lookup.ServiceDiscoveryEvent)`

### serviceChanged

    public void serviceChanged(ServiceDiscoveryEvent sdEvent)

  Specified by:
    `serviceChanged` in interface `ServiceDiscoveryListener`
  See Also:
    `ServiceDiscoveryListener.serviceChanged(net.jini.lookup.ServiceDiscoveryEvent)`

### serviceRemoved

    public void serviceRemoved(ServiceDiscoveryEvent sdEvent)

  Specified by:
    `serviceRemoved` in interface `ServiceDiscoveryListener`
  See Also:
    `ServiceDiscoveryListener.serviceRemoved(net.jini.lookup.ServiceDiscoveryEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.